/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Categoria;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderCategoria implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Categoria categoria = (Categoria) o;

        Listcell lc = new Listcell();
        
        lc = new Listcell(categoria.getCategoriaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(categoria.getDesccategoria());
        lc.setParent(lstm);

        lstm.setAttribute("data", categoria);
    }
}
